Mail archive
alpine-aports

[alpine-aports] [PATCH] main/zmap: upgrade to 2.1.1

From: Sören Tempel <soeren+git_at_soeren-tempel.net>
Date: Sat, 10 Oct 2015 07:07:18 +0200

---
 main/zmap/APKBUILD    | 51 ++++++++++++++++++++++++++++-----------------------
 main/zmap/byacc.patch | 17 +++++++++--------
 2 files changed, 37 insertions(+), 31 deletions(-)
diff --git a/main/zmap/APKBUILD b/main/zmap/APKBUILD
index fbbbeba..940bad1 100644
--- a/main/zmap/APKBUILD
+++ b/main/zmap/APKBUILD
_at_@ -1,26 +1,26 @@
+# Contributor: Sören Tempel <soeren+alpine_at_soeren-tempel.net>
 # Contributor: William Pitcock <nenolod_at_dereferenced.org>
 # Maintainer: William Pitcock <nenolod_at_dereferenced.org>
 pkgname=zmap
-pkgver=1.2.1
+pkgver=2.1.1
 pkgrel=0
-pkgdesc="high performance internet scanner"
+pkgdesc="A high performance internet scanner"
 url="http://www.zmap.io/"
 arch="all"
 license="Apache-2"
 depends=""
-depends_dev="gengetopt-dev libpcap-dev gmp-dev"
-makedepends="linux-headers $depends_dev cmake flex byacc"
+depends_dev=""
+makedepends="linux-headers cmake flex byacc json-c-dev gengetopt-dev
+	libpcap-dev gmp-dev"
 install=""
-subpackages="$pkgname-dev $pkgname-doc"
+subpackages="$pkgname-doc"
 source="zmap-$pkgver.tar.gz::https://github.com/zmap/zmap/archive/v$pkgver.tar.gz
 	byacc.patch"
 
-_srcdir="$srcdir"/zmap-$pkgver
-_builddir="$srcdir"/_build
+_builddir="$srcdir"/$pkgname-$pkgver
 prepare() {
 	local i
-	mkdir "$_builddir"
-	cd "$_srcdir"
+	cd "$_builddir"
 	for i in $source; do
 		case $i in
 		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
_at_@ -30,29 +30,34 @@ prepare() {
 
 build() {
 	cd "$_builddir"
-	cmake -DCMAKE_INSTALL_PREFIX=/usr "$_srcdir" || return 1
+	cmake \
+		-DCMAKE_INSTALL_PREFIX=/usr \
+		-DCMAKE_INSTALL_LIBDIR=lib \
+		-DBUILD_SHARED_LIBS=True \
+		-DCMAKE_BUILD_TYPE=Release \
+		-DCMAKE_CXX_COMPILER="${CXX:-g++}" \
+		-DCMAKE_C_COMPILER="${CC:-gcc}" \
+		-DCMAKE_CXX_FLAGS="$CXXFLAGS" \
+		-DCMAKE_CXX_FLAGS="$CFLAGS" \
+		|| return 1
 	make || return 1
 }
 
 package() {
-	cd "$_builddir"/src
-	install -D zmap "$pkgdir"/usr/bin/zmap
-
-	cd "$_srcdir"
-	install -Dm644 src/zmap.1 "$pkgdir"/usr/share/man/man1/zmap.1
-	install -d "$pkgdir"/etc/zmap
-	install -m644 conf/* "$pkgdir"/etc/zmap
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
 
 	for file in AUTHORS CHANGELOG INSTALL README; do
 		install -Dm644 "$file" "$pkgdir"/usr/share/doc/zmap/"$file"
 	done
 
+	# install examples to /usr/share/doc as well
 	cp -a examples "$pkgdir"/usr/share/doc/zmap
 }
 
-md5sums="3e740b54c88c29bb03494b986f440b51  zmap-1.2.1.tar.gz
-32db538a125a3b38c14960c87cfdcf60  byacc.patch"
-sha256sums="ff01f2b139e98a7e64ed2872ae332929c500dd6120888d57900fac82dccfeea8  zmap-1.2.1.tar.gz
-c143c2569293a934daadbb60d65896a10ececec2b54f78761c456e01350c671a  byacc.patch"
-sha512sums="1b3d7fa41bb75c859463f3ec8bcde31778f5d91a6f561aa9638ba93be97dacdba89493574581ce52aebcf093a86b042dcce41cffe6cb0849bb76a6005b714be2  zmap-1.2.1.tar.gz
-b83e8c6f94c3782da82d4eec2a5f25092067684254cd9f93ac1b7dbc8b2128dbeb63a67fc4329722d48c3628f2d5b3efd4c75335c440754c76776504aeb05700  byacc.patch"
+md5sums="a37555ac2beda1dc6f3754b411be545e  zmap-2.1.1.tar.gz
+34987cd8567e4cf241a2859d3672a731  byacc.patch"
+sha256sums="29627520c81101de01b0213434adb218a9f1210bfd3f2dcfdfc1f975dbce6399  zmap-2.1.1.tar.gz
+07b97732e822498bdbbb2ee8d18641887f1506804c3d89fc04a5836597d35006  byacc.patch"
+sha512sums="9d62dceff77fa20ff5945516b0766340366175947130bb844f19c11dac7676e658bcdedd6be29ffc945706aa3cdc0e4ac207bd127b618592769a4d3e75892857  zmap-2.1.1.tar.gz
+08cc497d99e388af2c0dd0d8a2337fa901451dd0b256bd4cfcc91a12ff1da503773214d0768077aae56e70cc5c49724be88064dd25eeaa3947f2a993af4215b8  byacc.patch"
diff --git a/main/zmap/byacc.patch b/main/zmap/byacc.patch
index aaf28d4..7fa594c 100644
--- a/main/zmap/byacc.patch
+++ b/main/zmap/byacc.patch
_at_@ -1,11 +1,12 @@
---- zmap-1.2.0.orig/src/CMakeLists.txt
-+++ zmap-1.2.0/src/CMakeLists.txt
-_at_@ -96,7 +96,7 @@
- 	)
+diff -upr zmap-2.1.1.orig/src/CMakeLists.txt zmap-2.1.1/src/CMakeLists.txt
+--- zmap-2.1.1.orig/src/CMakeLists.txt	2015-10-10 06:59:56.963317056 +0200
++++ zmap-2.1.1/src/CMakeLists.txt	2015-10-10 07:01:05.206393054 +0200
+_at_@ -122,7 +122,7 @@ add_custom_command(OUTPUT lexer.c
+ )
  
  add_custom_command(OUTPUT parser.c
--	COMMAND byacc -d -o "${CMAKE_CURRENT_BINARY_DIR}/parser.c" "${CMAKE_CURRENT_SOURCE_DIR}/parser.y"
-+	COMMAND yacc -d -o "${CMAKE_CURRENT_BINARY_DIR}/parser.c" "${CMAKE_CURRENT_SOURCE_DIR}/parser.y"
- 	DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/parser.y"
- 	)
+-    COMMAND byacc -d -o "${CMAKE_CURRENT_BINARY_DIR}/parser.c" "${CMAKE_CURRENT_SOURCE_DIR}/parser.y"
++    COMMAND yacc -d -o "${CMAKE_CURRENT_BINARY_DIR}/parser.c" "${CMAKE_CURRENT_SOURCE_DIR}/parser.y"
+     DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/parser.y"
+ )
  
-- 
2.6.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sat Oct 10 2015 - 07:07:18 GMT